package org.xyzh.common.dto.study;

import java.util.Date;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 课程标签关联表
 * @filename TbCourseTag.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbCourseTag extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 课程ID
     */
    private String courseID;
    
    /**
     * @description 标签ID
     */
    private String tagID;
    
    /**
     * @description 创建者
     */
    private String creator;

    private String updater;

    private Date updateTime;

    private Date deleteTime;

    private boolean deleted;

    public String getCourseID() {
        return courseID;
    }

    public void setCourseID(String courseID) {
        this.courseID = courseID;
    }

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    

    public String getUpdater() {
      return updater;
    }

    public void setUpdater(String updater) {
      this.updater = updater;
    }

    public Date getUpdateTime() {
      return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
      this.updateTime = updateTime;
    }

    public Date getDeleteTime() {
      return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
      this.deleteTime = deleteTime;
    }

    public boolean isDeleted() {
      return deleted;
    }

    public void setDeleted(boolean deleted) {
      this.deleted = deleted;
    }

    @Override
    public String toString() {
        return "TbCourseTag{" +
                "id=" + getID() +
                ", courseID='" + courseID + '\'' +
                ", tagID='" + tagID + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}

